---
name: Roadmap Level Issue
about: A high level issue that requires work across multiple libraries.
title: "[RMP]"
labels: "roadmap"
assignees: 'EvenOldridge'

---
## Problem:
<!--
A clear description of the problem and how it impacts the customer experience of Merlin users.  Why is this important?  Why/Should we prioritize this work?  Note that this is problem singular.  Please try to ensure that we're trying to solve one problem and not many.
-->

## Goal:
<!--
- What are the goals of this work.  
- This can also include anti-goals of what this work does not include.  
- Ideally this takes the form of a bulleted list.
-->

## New Functionality
<!--
- What new functionality would be required in each library to address the problem and meet the goals?
- Ideally this takes the form of a bulleted list.
-->
- Models
  - ...
- Transformers4Rec
  - ...
- NVTabular
  - ...
- Systems
  - ...

## Constraints:
<!--
- What are the constraints that might impact the choice of solution?
- This can also include non-constraints to clarify if something that would normally be a constraint is not a consideration.
- Ideally this takes the form of a bulleted list.
-->

## Starting Point:
<!--
[ ] What tasks need to be completed in order for this work to be considered complete?
[ ] This takes the form of a series of checkboxes where we can track the work.

It is _critical_ that this ticket not only be created, but also kept up to date.  As you work constraints are going to be discovered and should be added to the above list.  Tasks required to complete this project may change.  The goal of the work may even change.  Without a commitment to keeping this ticket up to date the work shouldn't be undertaken.  

Example tickets from which you can base your own roadmap issue include:
- https://github.com/NVIDIA-Merlin/models/issues/450
- https://github.com/NVIDIA-Merlin/Merlin/issues/258
- https://github.com/NVIDIA-Merlin/Merlin/issues/279
-->
