# Getting Started with Merlin and the MovieLens Dataset

The MovieLens25M is a popular dataset for recommender systems and is used in academic publications.
Most users are familiar with the dataset and we will teach the basic concepts of Merlin:

- Learn to use NVTabular for using GPU-accelerated feature engineering and data preprocessing.
- Become familiar with the high-level API for NVTabular.
- Use single-hot/multi-hot categorical input features with NVTabular.
- Use the NVTabular dataloader with TensorFlow Keras model.
- Use the NVTabular dataloader with PyTorch.

Explore the following notebooks:

- [Download and Convert](01-Download-Convert.ipynb)
- [Feature Engineering with NVTabular](02-ETL-with-NVTabular.ipynb)
- [Training with TensorFlow](03-Training-with-TF.ipynb)
- [Training with PyTorch](03-Training-with-PyTorch.ipynb)
- [Serve Recommendations with Triton Inference Server](04-Triton-Inference-with-TF.ipynb)
